#!/usr/bin/env node
const chokidar = require('chokidar');
const WebSocketServer = require('ws');

const jsDir = process.cwd().replace('vue', 'webroot') + '/apps/js';
const watcher = chokidar.watch(jsDir, { persistent: true });

const wss = new WebSocketServer.Server({ port: 7777 })

wss.on("connection", ws => {
    function doReload() {
        console.log('[ws]files changed');
        ws.send('reload');
    }
    watcher
        .on('add', doReload)
        .on('change', doReload)
        .on('unlink', doReload);
});
console.log("The WebSocket server is running on port 7777");
